FileInfo.h File Reference

UpnpFileInfo object declararion. More...

`#include "upnpconfig.h"`
`#include <sys/types.h>`
`#include <time.h>`
`#include "TemplateInclude.h"`
Include dependency graph for FileInfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | CLASS UpnpFileInfo
#define | EXPAND_CLASS_MEMBERS(CLASS)

## Detailed Description

UpnpFileInfo object declararion.

Detailed description of this class should go here

Author
  Marcelo Roberto Jimenez

## Macro Definition Documentation

## EXPAND_CLASS_MEMBERS

#define EXPAND_CLASS_MEMBERS | ( |  | CLASS | ) |

Value:
EXPAND_CLASS_MEMBER_INT(CLASS, FileLength, off_t) \
EXPAND_CLASS_MEMBER_INT(CLASS, LastModified, time_t) \
EXPAND_CLASS_MEMBER_INT(CLASS, IsDirectory, int) \
EXPAND_CLASS_MEMBER_INT(CLASS, IsReadable, int) \
EXPAND_CLASS_MEMBER_DOMSTRING(CLASS, ContentType) \
EXPAND_CLASS_MEMBER_DOMSTRING(CLASS, ExtraHeaders) \
CLASS
struct s_CLASS CLASS
Definition: TemplateInclude.h:138